Update Task tasks.task.update

Scope: task

Who can execute the method: task Creator or a user with access permission to edit the task

The method tasks.task.update updates a task.

Method Parameters

Required parameters are marked with *

Name
type

Description

id*
integer

Task identifier.

The task identifier can be obtained when creating a new task or by the old method of getting the list of tasks

fields*
object

Values of the task fields to be updated.
Description of all task fields

Code Examples

How to Use Examples in Documentation

The call to the new API differs by adding the parameter /api/ in the request:

https://{installation_address}/rest/api/{user_id}/{webhook_token}/tasks.task.update

curl -X POST \
        -H "Content-Type: application/json" \
        -H "Accept: application/json" \
        -d '{"id":11,"fields":{"title":"Task Title","deadline":"2025-12-31T23:59:59+02:00","creatorId":29,"responsibleId":1,"crmItemIds":["L_1000959"]}}' \
        https://**put_your_bitrix24_address**/rest/api/**put_your_user_id_here**/**put_your_webhook_here**/tasks.task.update
        
curl -X POST \
        -H "Content-Type: application/json" \
        -H "Accept: application/json" \
        -d '{"id":11,"fields":{"title":"Task Title","deadline":"2025-12-31T23:59:59+02:00","creatorId":29,"responsibleId":1,"crmItemIds":["L_1000959"]},"auth":"**put_access_token_here**"}' \
        https://**put_your_bitrix24_address**/rest/api/tasks.task.update
        

The SDK does not yet support calls to the address /rest/api/. Use direct HTTP requests, for example, via curl or fetch.

try
        {
            const response = await $b24.callMethod(
                'tasks.task.update',
                {
                    id: 11,
                    fields: {
                        title: 'Task Title',
                        deadline: '2025-12-31T23:59:59+02:00',
                        creatorId: 29,
                        responsibleId: 1,
                        crmItemIds: ['L_1000959']
                    }
                }
            );
            
            const result = response.getData().result;
            console.info('Task updated:', result);
        }
        catch( error )
        {
            console.error(error);
        }
        

The SDK does not yet support calls to the address /rest/api/. Use direct HTTP requests, for example, via curl or fetch.

try {
            $response = $b24Service
                ->core
                ->call(
                    'tasks.task.update',
                    [
                        'id' => 11,
                        'fields' => [
                            'title' => 'Task Title',
                            'deadline' => '2025-12-31T23:59:59+02:00',
                            'creatorId' => 29,
                            'responsibleId' => 1,
                            'crmItemIds' => ['L_1000959'],
                        ]
                    ]
                );
        
            $result = $response
                ->getResponseData()
                ->getResult();
        
            echo 'Success: ' . print_r($result, true);
        
        } catch (Throwable $e) {
            error_log($e->getMessage());
            echo 'Error updating task: ' . $e->getMessage();
        }
        

The SDK does not yet support calls to the address /rest/api/. Use direct HTTP requests, for example, via curl or fetch.

BX24.callMethod(
            'tasks.task.update',
            {
                id: 11,
                fields: {
                    title: 'Task Title',
                    deadline: '2025-12-31T23:59:59+02:00',
                    creatorId: 29,
                    responsibleId: 1,
                    crmItemIds: ['L_1000959']
                }
            },
            function(result){
                console.info(result.data());
                console.log(result);
            }
        );
        

The SDK does not yet support calls to the address /rest/api/. Use direct HTTP requests, for example, via curl or fetch.

require_once('crest.php');
        
        $result = CRest::call(
            'tasks.task.update',
            [
                'id' => 11,
                'fields' => [
                    'title' => 'Task Title',
                    'deadline' => '2025-12-31T23:59:59+02:00',
                    'creatorId' => 29,
                    'responsibleId' => 1,
                    'crmItemIds' => ['L_1000959']
                ]
            ]
        );
        
        echo '<PRE>';
        print_r($result);
        echo '</PRE>';
        

Response Handling

HTTP Status: 200

{
            "result": {
                "result": true
            },
            "time": {
                "start": 1765452441,
                "finish": 1765452442.17818,
                "duration": 1.1781799793243408,
                "processing": 1,
                "date_start": "2025-12-11T14:27:21+03:00",
                "date_finish": "2025-12-11T14:27:22+03:00",
                "operating_reset_at": 1765453041,
                "operating": 0
            }
        }
        

Returned Data

Name
type

Description

result
boolean

Root element of the response.

Contains an object with the key result and the value true if the task was successfully updated

time
time

Information about the request execution time

Error Handling

HTTP Status: 400

{
            "error": {
                "code": "BITRIX_REST_V3_EXCEPTION_VALIDATION_REQUESTVALIDATIONEXCEPTION",
                "message": "Error during request object validation",
                "validation": [
                    {
                        "message": "In DTO `TaskDto`, the field `creatorId` requires the presence of the `Editable` attribute for such a request",
                        "field": "creatorId"
                    }
                ]
            }
        }
        

Name
type

Description

error.code
string

String error code. Use it to identify the type of exception

error.message
string

Text description of the error

error.validation
array

Array with error details. Present only in data validation errors BITRIX_REST_V3_EXCEPTION_VALIDATION_REQUESTVALIDATIONEXCEPTION

error.validation[].field
string

Name of the field where the validation error occurred

error.validation[].message
string

Description of the error related to the specified field

Possible Error Codes

Request Validation Errors

Error Code: BITRIX_REST_V3_EXCEPTION_VALIDATION_REQUESTVALIDATIONEXCEPTION

Field

Error Description

How to Fix

id
fields

Required field #FIELD# is missing

Add the specified field to the request body

#FIELD#

The field #FIELD# requires data type #TYPE# for such a request

Ensure that the value being passed is of the correct type

responsibleId

The user specified in the "Responsible" field was not found

Specify the identifier of an existing user in the responsibleId field

parentId

The task specified in the "Parent Task" field was not found

Specify the identifier of an existing task in the parentId field

parentId

Cannot bind a node to itself

Specify a task identifier in the parentId field that is different from the id field

endPlan

The end date specified in the planning is earlier than the start date

Specify an endPlan date that is later than startPlan

endPlan

The duration of the task specified in the planning is too long

Reduce the date in the endPlan field

creatorId

In DTO TaskDto, the field creatorId requires the presence of the Editable attribute for such a request

Remove the creatorId field from the request, it cannot be changed

Access Error

Error Code: BITRIX_REST_V3_EXCEPTION_ACCESSDENIEDEXCEPTION

Field

Error Description

How to Fix

id

Access denied

No access to the task or the task does not exist

Statuses and System Error Codes

HTTP Status: 20x, 40x, 50x

The errors described below may occur when calling any method.

Status

Code
Error Message

Description

500

INTERNAL_SERVER_ERROR
Internal server error

An internal server error has occurred, please contact the server administrator or Bitrix24 technical support

500

ERROR_UNEXPECTED_ANSWER
Server returned an unexpected response

An internal server error has occurred, please contact the server administrator or Bitrix24 technical support

503

QUERY_LIMIT_EXCEEDED
Too many requests

The request intensity limit has been exceeded

405

ERROR_BATCH_METHOD_NOT_ALLOWED
Method is not allowed for batch usage

The current method is not allowed to be called using batch

400

ERROR_BATCH_LENGTH_EXCEEDED
Max batch length exceeded

The maximum length of parameters passed to the batch method has been exceeded

401

NO_AUTH_FOUND
Wrong authorization data

Invalid access token or webhook code

400

INVALID_REQUEST
Https required

The methods must be called using the HTTPS protocol

503

OVERLOAD_LIMIT
REST API is blocked due to overload

The REST API is blocked due to overload. This is a manual individual block, to remove it you need to contact Bitrix24 technical support

403

ACCESS_DENIED
REST API is available only on commercial plans

The REST API is available only on commercial plans

403

INVALID_CREDENTIALS
Invalid request credentials

The user whose access token or webhook was used to call the method lacks permissions

404

ERROR_MANIFEST_IS_NOT_AVAILABLE
Manifest is not available

The manifest is not available

403

insufficient_scope
The request requires higher privileges than provided by the webhook token

The request requires higher privileges than those provided by the webhook token

401

expired_token
The access token provided has expired

The provided access token has expired

403

user_access_error
The user does not have access to the application

The user does not have access to the application. This means that the application is installed, but the account administrator has allowed access to this application only for specific users

500

PORTAL_DELETED
Portal was deleted

The public part of the site is closed. To open the public part of the site on an on-premise installation, disable the option "Temporary closure of the public part of the site". Path to the setting: Desktop > Settings > Product Settings > Module Settings > Main Module > Temporary closure of the public part of the site

Continue Learning